<template>
  <div>
    <div class="parse-classes" >
      <b-button
        v-for='item in allSchemas'
        variant="primary mr-3"
        :key='item.className'
        @click='showModel(item.className)'>
          {{ item.className }}
      </b-button>
    </div>
  </div>
</template>


<script>
import gql from 'graphql-tag';


export default {
  name: '',

  created() {

  },

  methods: {
    showModel(schemaName) {
      this.$router.push({ name: 'edit', params: { schemaName: schemaName } });
    },
  },

  apollo: {
    allSchemas: gql`query {
      allSchemas {
        className
      }
    }`,
  },
};
</script>


<style lang='scss' scoped>
.parse-classes {
  button {
    margin-bottom: 1em;
  }
}
</style>
